Cannot install cocoa pods, it shows me 「ERROR: While executing gem … (Errno::EPERM) Operation not permitted – /usr/bin/pod」

Last day I was upgrade my system to OS X 10.11 and my all projects are not working. my GEM too. my third parts lib too.
So I’m trying to reinstall cocoapods via cocoapods, but it shows you 「ERROR: While executing gem … (Errno::EPERM) Operation not permitted – /usr/bin/pod」

here’s a solution may help, source

notice that parameter: -n

sudo gem install -n /usr/local/bin cocoapods

And then it works.

EOF.

发表评论

电子邮件地址不会被公开。 必填项已用*标注